<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>配网运行人员判断变更后材料</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="operatorUploadList.js" %>
	<script type="text/javascript">

		$(document).ready(function() {

			$("#agree").click(function () {
				var design = $("#tuserName").val();
				var currentFileValues = $("input[name='pic']").val();
				if (design == "" || design == null) {
					jp.error("请选择用户");
				} else {
					jp.prompt("审核意见", function (message) {
						jp.post("${ctx}/act/task/operatorUpload",
						{
							"taskId":"${uploadImages.act.taskId}",
							"taskName":"${uploadImages.act.taskName}",
							"taskDefKey":"${uploadImages.act.taskDefKey}",
							"procInsId":"${uploadImages.act.procInsId}",
							"procDefId":"${uploadImages.act.procDefId}",
							"flag":"yes",
							"pic":currentFileValues,
							"design":design,
							"comment":window.encodeURI(message)
						},
						function (data) {
							if(data.success){
								jp.success(data.msg);
								jp.go("${ctx}/act/task/todo")
							}
						})
					});
				}
				// alert(design);
			});
			$("#no").click(function () {
				var design = $("#tuserName").val();
				var currentFileValues = $("input[name='pic']").val();
				jp.prompt("审核意见", function (message) {
					jp.post("${ctx}/act/task/operatorUpload",
						{
							"taskId":"${uploadImages.act.taskId}",
							"taskName":"${uploadImages.act.taskName}",
							"taskDefKey":"${uploadImages.act.taskDefKey}",
							"procInsId":"${uploadImages.act.procInsId}",
							"procDefId":"${uploadImages.act.procDefId}",
							"flag":"no",
							"pic":currentFileValues,
							"design":design,
							"comment":window.encodeURI(message)
						},
						function (data) {
							if(data.success){
								jp.success(data.msg);
								jp.go("${ctx}/act/task/todo")
							}
						})
				});
			});
		});
	</script>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">配网运行人员判断变更后材料</h3>
	</div>
	<div class="panel-body">
	
	<!-- 搜索 -->
	<div id="search-collapse" class="collapse">
		<div class="accordion-inner">
	<form:form id="searchForm" modelAttribute="uploadImages" class="form form-horizontal well clearfix">
		<input type="hidden" id="procInsId" name="procInsId" value="${uploadImages.act.procInsId}"/>
<%--		<input type="text" id="path" name="path" value="${uploadImages.path}">
		 <div class="col-xs-12 col-sm-6 col-md-4">
			<div style="margin-top:26px">
			  <a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
			  <a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
			 </div>
	    </div>	--%>
	</form:form>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div id="toolbar">

		    </div>
		
	<!-- 表格 -->
	<table id="testPicTable"   data-toolbar="#toolbar"></table>
		<div class="panel-body">
			<form:form id="inputForm" modelAttribute="uploadImages" class="form-horizontal">
				<form:hidden path="id"/>
				<form:hidden path="act.taskId"/>
				<form:hidden path="act.taskName"/>
				<form:hidden path="act.taskDefKey"/>
				<form:hidden path="act.procInsId"/>
				<form:hidden path="act.procDefId"/>
				<table class="table table-bordered">
					<tbody>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>配网项目经理：</label></td>
						<td class="width-35">
							<sys:userselect roleName="项目经理"  id="tuser" name="tuser.id" value="${construction.tuser.id}" labelName="tuser.name" labelValue="${construction.tuser.name}"
											cssClass="form-control required"/>
						</td>
					</tr>
					</tbody>
				</table>
				<div class="form-group">
					<div class="col-lg-3"></div>
					<div class="col-lg-6">
						<div class="form-group text-center">
						</div>
					</div>
				</div>
			</form:form>


			<div class="row">
				<div class="col-sm-3"></div>
				<div class="col-sm-6">
					<div class="form-group text-center">
						<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="审核" />&nbsp;
						<input id="no" class="btn  btn-primary btn-lg btn-danger" type="submit" value="驳回" />&nbsp;
					</div>
				</div>
			</div>
			<c:if test="${not empty uploadImages.id}">
				<act:flowChart procInsId="${uploadImages.act.procInsId}"/>
				<act:histoicFlow procInsId="${uploadImages.act.procInsId}" />
			</c:if>
		</div>
    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    </ul>  
	</div>
	</div>
	</div>
</body>
</html>