<%@ page pageEncoding="UTF-8"%>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>领料提交申请</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<%@include file="constructionLeaderForm.js"%>
</head>
<body>

<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<div class="panel-body">
					<form:form id="inputForm" modelAttribute="showList" action="${ctx}/picking/activiti/save" method="post" class="form-horizontal">
						<form:hidden path="id"/>
						<form:hidden path="act.taskId"/>
						<form:hidden path="act.taskName"/>
						<form:hidden path="act.taskDefKey"/>
						<form:hidden path="act.procInsId"/>
						<form:hidden path="act.procDefId"/>
						<form:hidden id="flag" path="act.flag" />
						<div class="form-group text-center">
							<h3> 领料申请</h3>
						</div>
						<table class="table table-bordered">
							<tbody>
							<tr>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>项目名称：</label></td>
								<td class="width-35">
									<sys:itemselect url="${ctx}/sg/managementcenter/project/dataPicking" id="project" name="projectId" value="${showList.projectName}" labelName="project.requireName" labelValue="${showList.projectName}"
													title="选择项目号" cssClass="form-control " fieldLabels="${fns:urlEncode('项目需求名称|工程编号|项目名称|项目定义号')}" fieldKeys="requireName|projecId|projectName|projectNumber" searchLabels="${fns:urlEncode('项目需求名称')}" searchKeys="requireName"  isMultiSelected="false"></sys:itemselect>
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>选择模块版本：</label></td>
								<td class="width-35">
									<form:select  cssClass="form-control" path="sVersion">
										<c:forEach items="${showList.version}" var="list">
											<option value="${list}">${list}</option>
										</c:forEach>
									</form:select>
								</td>
							</tr>
							<tr>
							</tr>
							</tbody>
						</table>

						<div class="form-group">
							<div class="col-lg-3"></div>
								<div class="col-lg-6">
									<div class="form-group text-center">
										<div>
											<button class="btn btn-primary btn-block btn-lg btn-parsley" data-loading-text="正在提交...">提 交</button>
										</div>
									</div>
								</div>
						</div>
					</form:form>
					<c:if test="${not empty showList.id}">
						<act:flowChart procInsId="${showList.act.procInsId}"/>
						<act:histoicFlow procInsId="${showList.act.procInsId}" />
					</c:if>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>