package com.jeeplus.modules.sg.managementcenter.activiti.utils;

import com.google.common.collect.Maps;
import com.google.gson.internal.$Gson$Preconditions;
import com.jeeplus.common.json.AjaxJson;
import com.jeeplus.common.utils.excel.ImportExcel;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Disclose;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.MyNeedList;
import org.apache.poi.ss.usermodel.Row;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.net.URLDecoder;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class MyImportUtils {
    public static Map<String,Object> errorTips(List<Disclose> discloses) {
        String tips = "";
        String fin = "";
        List<Disclose> newDiscloseList = new ArrayList<>();
        boolean flag = false;

        for (Disclose disclose : discloses) {
            flag = false;
            tips = "";
            //项目名称
            String projectName = disclose.getRequireName();
            //设备基础是否可以扩容
            String capacity = disclose.getCapacity();
            //方案安全隐患
            String hiddenDanger = disclose.getHiddenDanger();
            //是否存在低压或通信线等影响施工
            String influenceConstruction = disclose.getInfluenceConstruction();
            //立项重复
            String projectRepetition = disclose.getProjectRepetition();
            //是否已实施
            String implemented = disclose.getImplemented();
            //变压器无负荷
            String transformer = disclose.getTransformer();
            //必要性问题说明
            String explanationOfNecessity = disclose.getExplanationOfNecessity();
            //线路名称一致性
            String lineName = disclose.getLineName();
            //工程量是否一致
            String quantities = disclose.getQuantities();
            //设备、开关、杆号一致性
            String rodNumber = disclose.getRodNumber();
            //图纸现场不一致说明
            String inconsistentDescription = disclose.getInconsistentDescription();
            //政处类型
            String administrationType = disclose.getAdministrationType();
            //前置条件
            String precondition = disclose.getPrecondition();
            //政策处理说明
            String policyHandlingInstructions = disclose.getPolicyHandlingInstructions();
            //二次是否是集成模块
            String integrateModule = disclose.getIntegrateModule();
            //PT是否需要更换
            String needReplace = disclose.getNeedReplace();
            //设备是否有整体改造的必要
            String overallTransformation = disclose.getOverallTransformation();
            if (precondition!=null&&!"".equals(precondition)) {

            }else {
                if ("".equals(projectName) || projectName == null) {
                    flag = true;
                    tips +="项目名称不能为空";
                }
                if ("".equals(capacity) || capacity == null||(!"是".equals(capacity)&&!"否".equals(capacity))) {
                    flag = true;
                    tips += "设备基础是否可以扩容填写有误";
                }
                if ("".equals(hiddenDanger) || hiddenDanger == null||(!"有".equals(hiddenDanger)&&!"无".equals(hiddenDanger))) {
                    flag = true;
                    tips += "方案安全隐患填写有误";
                }
                if ("".equals(influenceConstruction) || influenceConstruction == null||(!"是".equals(influenceConstruction)&&!"否".equals(influenceConstruction))) {
                    flag = true;
                    tips += "是否存在低压或通信线等影响施工填写有误";
                }
                if ("".equals(projectRepetition) || projectRepetition == null||(!"是".equals(projectRepetition)&&!"否".equals(projectRepetition))) {
                    flag = true;
                    tips += "立项重复填写有误";
                }
                if ("".equals(implemented) || implemented == null||(!"是".equals(implemented)&&!"否".equals(implemented))) {
                    flag = true;
                    tips += "是否已实施填写有误";
                }
                if ("".equals(transformer) || transformer == null||(!"有".equals(transformer)&&!"无".equals(transformer))) {
                    flag = true;
                    tips += "变压器无负荷填写有误";
                }
                if ("有".equals(hiddenDanger) || "是".equals(influenceConstruction)|| "是".equals(projectRepetition)|| "是".equals(implemented)|| "无".equals(transformer)) {
                    if ("".equals(explanationOfNecessity) || explanationOfNecessity == null) {
                        flag = true;
                        tips += "必要性问题说明不能为空";
                    }
                }
                if ("".equals(lineName) || lineName == null||(!"一致".equals(lineName)&&!"不一致".equals(lineName))) {
                    flag = true;
                    tips += "线路名称一致性填写有误";
                }
                if ("".equals(quantities) || quantities == null||(!"是".equals(quantities)&&!"否".equals(quantities))) {
                    flag = true;
                    tips += "工程量是否一致填写有误";
                }
                if ("".equals(rodNumber) || rodNumber == null||(!"一致".equals(rodNumber)&&!"不一致".equals(rodNumber))) {
                    flag = true;
                    tips += "设备、开关、杆号一致性填写有误";
                }
                if ("不一致".equals(lineName)||"否".equals(quantities)||"不一致".equals(rodNumber)) {
                    if ("".equals(inconsistentDescription) || inconsistentDescription == null) {
                        flag = true;
                        tips += "图纸现场不一致说明不能为空";
                    }
                }
                if ("".equals(administrationType) || administrationType == null||(!"1.农村政处".equals(administrationType)&&!"2.民事政处/行政政处（公路/水利）".equals(administrationType)&&!"3.行政政处（城区道路）".equals(administrationType)&&!"4.无".equals(administrationType))) {
                    flag = true;
                    tips += "政处类型填写有误";
                }else {
                    if (("1.农村政处".equals(administrationType)&&"2.民事政处/行政政处（公路/水利）".equals(administrationType)&&"3.行政政处（城区道路）".equals(administrationType))) {
                        if ("".equals(policyHandlingInstructions) || policyHandlingInstructions == null) {
                            flag = true;
                            tips += "政策处理说明不能为空";
                        }
                    }
                }
                if ("".equals(integrateModule) || integrateModule == null||(!"是".equals(integrateModule)&&!"否".equals(integrateModule))) {
                    flag = true;
                    tips += "二次是否是集成模块填写有误";
                }
                if ("".equals(needReplace) || needReplace == null||(!"是".equals(needReplace)&&!"否".equals(needReplace))) {
                    flag = true;
                    tips += "PT是否需要更换填写有误";
                }
                if ("".equals(overallTransformation) || overallTransformation == null||(!"是".equals(overallTransformation)&&!"否".equals(overallTransformation))) {
                    flag = true;
                    tips += "设备是否有整体改造的必要填写有误";
                }
            }
            if (flag == true) {
                fin += "<" + projectName + ">" + ":" + tips + "</br>";
            } else {
                newDiscloseList.add(disclose);
            }
        }
        Map<String,Object> reurnMap = new HashMap<>();
        reurnMap.put("fin",fin);
        reurnMap.put("newDiscloseList",newDiscloseList);
        return reurnMap;
    }

}
