<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目经理人工判断页面</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<script type="text/javascript">
		$(document).ready(function () {
			var a = $("#percondition").val();
			if (a!="undefined"&&a!=null&&a!="") {
				$("#no").css("display", "none");
			}
			$("#agree").click(function () {
				var cValue ="";//定义一个数组
				var flag1 = false;//代表是否选择了设计变更/行政政处/农村民事政处的状态，false为未选择，true为选择
				var flag2 = false;//代表是否选择了项目关闭的状态，false为未选择，true为选择
				var flag3 = false;//代表是否选择了政策处理 行政政处（城区道路）
				var flag5 = false;//代表是否选择了农村政处
				var flag6 = false;//代表是否选择了民事政处/行政政处（公路/水利）
				var nValue = $('input[name="favorite"]:checked');
				$('input[name="favorite"]:checked').each(function(){//遍历每一个名字为interest的复选框，其中选中的执行函数
					//判断选取的值如果时pass2，flag2为true，代表选择了项目关闭，选取的值不为pass2，flag1为true代表其它类型被选择
					if ("pass2" == $(this).val()) {
						flag2 = true;
					}else {
						flag1 = true;
					}
					//判断值为pass3，代表选择了政策处理 行政政处（城区道路）
					if ("pass3"==$(this).val()) {
						flag3 = true;
					}
					//判断值为pass5，代表选择了农村政处
					if ("pass5"==$(this).val()) {
						flag5 = true;
					}
					//判断值为pass6，民事政处/行政政处（公路/水利）
					if ("pass6"==$(this).val()) {
						flag6 = true;
					}
					cValue=cValue+";"+($(this).val());//将选中的值添加到数组chk_value中
				});

				if (nValue == null || nValue.size() <= 0) {
					jp.error("请选择问题类型");
				} else if(flag1==true&&flag2==true){
					jp.error("项目关闭与其它类型问题不可同时发起");
				}else if ((flag3==true&&flag5==true)||(flag3==true&&flag6==true)||(flag5==true&&flag6==true)){
					jp.error("政处类型只能选择一种");
				}else {
					jp.prompt(" 审批意见", function (message) {
						jp.post("${ctx}/act/task/artificialTask",
						{
							"taskId":"${construction.act.taskId}",
							"taskName":"${construction.act.taskName}",
							"taskDefKey":"${construction.act.taskDefKey}",
							"procInsId":"${construction.act.procInsId}",
							"procDefId":"${construction.act.procDefId}",
							"flag":cValue,
							"projectName":"${fns:unescapeHtml(construction.projectName)}",
							"comment":window.encodeURI(message)
						},
						function (data) {
							if(data.success){
								jp.success(data.msg);
								jp.go("${ctx}/act/task/todo")
							}
						})
					});
				}
			});
			$("#no").click(function () {
				jp.prompt("没有问题，完成交底", function (message) {
					jp.post("${ctx}/act/task/artificialTask",
					{
						"taskId":"${construction.act.taskId}",
						"taskName":"${construction.act.taskName}",
						"taskDefKey":"${construction.act.taskDefKey}",
						"procInsId":"${construction.act.procInsId}",
						"procDefId":"${construction.act.procDefId}",
						"flag":"pass4",
						"projectName":"${fns:unescapeHtml(construction.projectName)}",
						"comment":window.encodeURI(message)
					},
					function (data) {
						if(data.success){
							jp.success(data.msg);
							jp.go("${ctx}/act/task/todo")
						}
					})
				})
			});
		})
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<div class="panel-body">
					<form:form id="inputForm" modelAttribute="construction" action="${ctx}/managementcenter/divide/save" method="post" class="form-horizontal">
					<form:hidden path="id"/>
						<input id="procInsId" type="hidden" value="${fns:unescapeHtml(construction.procInsId)}">
						<input id="projectName" type="hidden" value="${fns:unescapeHtml(construction.projectName)}">
						<input type="hidden" value="${fns:unescapeHtml(construction.id)}">
						<input id="percondition" type="hidden" value="${construction.disclose.precondition}">
						<table class="table table-bordered">
							<tbody>
<%--							<tr>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>申请人：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.userName)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>审核人：</label></td>
								<td class="width-35">
									<sys:userselect roleName="项目经理;施工单位" id="tuser" name="tuser.id" value="${construction.tuser.id}" labelName="tuser.name" labelValue="${construction.tuser.name}"
													cssClass="form-control required"/>
								</td>
							</tr>--%>
							<tr>
								<td class="width-15 active"><label class="pull-right">问题类型：</label></td>
								<td class="width-35">
									<input type="checkbox" name="favorite" value="pass1" checked> 设计变更 &nbsp;
									<input type="checkbox" name="favorite" value="pass2" checked> 项目关闭 &nbsp;
									<input type="checkbox" name="favorite" value="pass3" checked> 行政政处（城区道路）
									<input type="checkbox" name="favorite" value="pass5"> 农村政处
									<input type="checkbox" name="favorite" value="pass6"> 民事政处/行政政处（公路/水利）
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">项目号：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.projectId)}
								</td>
								<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.projectName)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">接收图纸时间：</label></td>
								<td class="width-35">
									<fmt:formatDate value="${construction.acceptDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
								</td>
<%--								<td class="width-15 active"><label class="pull-right">备注说明：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.examineDate)}
								</td>--%>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">停电线路：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.powerLine)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>停电范围（中间统一用中文分号）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.blackoutArea)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">项目类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.projectType)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>政处初步判断：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.preliminaryJudgment)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否含土建（不含钢管杆）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.civilEngineering)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>钢管杆基础类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.baseType)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否需要规划报批（150米及以上土建）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.planApproval)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备改造类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.transformationType)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">改造设备尺寸及间隔数：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.transformationEquipment)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含新设备命名：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.newNamed)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否含变电站新间隔投运：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.putInto)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含非涉电电气施工：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.electricalConstruction)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">图纸标注的带电作业情况：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.theAssignment)}
							</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含自动化：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.automation)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">二遥或三遥：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.remote)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>通信方式：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.communicationMode)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">柱开集中或就地：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.inSitu)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>环网柜DTU户外或户内：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.networkCabinet)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">站房DTU：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.station)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否为停电打包项目：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.powerFailure)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">施工通道：</label></td>
								<td class="width-35">
										${construction.disclose.channel}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备基础是否可以扩容：</label></td>
								<td class="width-35">
										${construction.disclose.capacity}
										<%--<select id="capacity"  maxlength="100"  class=" form-control">
										<option value="是">是</option>
										<option value="否">否</option>
									</select>--%>
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">现场设备尺寸：</label></td>
								<td class="width-35">
										${construction.disclose.sceneSize}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>最多可扩容尺寸：</label></td>
								<td class="width-35">
										${construction.disclose.capacitySize}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">方案安全隐患：</label></td>
								<td class="width-35">
										${construction.disclose.hiddenDanger}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否存在低压或通信线等影响施工：</label></td>
								<td class="width-35">
										${construction.disclose.influenceConstruction}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">立项重复：</label></td>
								<td class="width-35">
										${construction.disclose.projectRepetition}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否已实施：</label></td>
								<td class="width-35">
										${construction.disclose.implemented}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">变压器无负荷：</label></td>
								<td class="width-35">
										${construction.disclose.transformer}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>线路名称一致性：</label></td>
								<td class="width-35">
										${construction.disclose.lineName}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">工程量是否一致：</label></td>
								<td class="width-35">
										${construction.disclose.quantities}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备、开关、杆号一致性：</label></td>
								<td class="width-35">
										${construction.disclose.rodNumber}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">政处类型：</label></td>
								<td class="width-35">
										${construction.disclose.administrationType}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否存在严重政处问题（预判）：</label></td>
								<td class="width-35">
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">前置条件：</label></td>
								<td class="width-35">
										${construction.disclose.precondition}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>DTU安放方式核查：</label></td>
								<td class="width-35">
										${construction.disclose.placementMode}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">核查环网柜生产日期：</label></td>
								<td class="width-35">
										${construction.disclose.productionDate}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>二次是否是集成模块：</label></td>
								<td class="width-35">
										${construction.disclose.integrateModule}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">PT是否需要更换：</label></td>
								<td class="width-35">
										${construction.disclose.needReplace}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备是否有整体改造的必要：</label></td>
								<td class="width-35">
										${construction.disclose.overallTransformation}
								</td>
							</tr>
							</tbody>
						</table>
					</form:form>



						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="确认判断结果" />&nbsp;
									<input id="no" class="btn  btn-primary btn-lg btn-danger" type="submit" value="驳回" />
								</div>
							</div>
						</div>

					<c:if test="${not empty construction.id}">
						<act:flowChart procInsId="${construction.act.procInsId}"/>
						<act:histoicFlow procInsId="${construction.act.procInsId}" />
					</c:if>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>