<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>运行人员审核图纸</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<%@include file="economicsDesignChange.js"%>
	<script type="text/javascript">

		$(document).ready(function() {

			$("#agree").click(function () {
				var design = $("#tuserName").val();
				var currentFileValues = $("input[name='pic']").val();
				var currentFileValues1 = $("input[name='pic1']").val();
				var currentFileValues2 = $("input[name='pic2']").val();
				if (design == "" || design == null) {
					jp.error("请选择用户");
				}else if (currentFileValues==""||currentFileValues==null) {
					jp.error("请上传变更后图纸");
				}else if (currentFileValues1==""||currentFileValues1==null) {
					jp.error("请上传预算书");
				}else if (currentFileValues2 == "" || currentFileValues2 == null) {
					jp.error("请上传物资清册");
				} else {
				// alert(design);
				jp.prompt("审核意见", function (message) {
					jp.post("${ctx}/act/task/designUpload",
					{
						"taskId":"${uploadImages.act.taskId}",
						"taskName":"${uploadImages.act.taskName}",
						"taskDefKey":"${uploadImages.act.taskDefKey}",
						"procInsId":"${uploadImages.act.procInsId}",
						"procDefId":"${uploadImages.act.procDefId}",
						"flag":"yes",
						"pic":currentFileValues,
						"pic1":currentFileValues1,
						"pic2": currentFileValues2,
						"design":design,
						"comment":window.encodeURI(message)
					},
					function (data) {
						if(data.success){
							jp.success(data.msg);
							jp.go("${ctx}/act/task/todo")
						}
					})
				});
				}
			});
		});
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<table id="testPicTable"   data-toolbar="#toolbar"></table>
				<div class="panel-body">
					<div class="row">
						<div class="col-sm-3"></div>
						<div class="col-sm-6">
							<div class="form-group text-center">
								<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="审核" />&nbsp;
							</div>
						</div>
					</div>
					<c:if test="${not empty uploadImages.id}">
						<act:flowChart procInsId="${uploadImages.act.procInsId}"/>
						<act:histoicFlow procInsId="${uploadImages.act.procInsId}" />
					</c:if>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>